##  ‍🔔 T80系列动画模块介绍
&nbsp;&nbsp;&nbsp;&nbsp;[作者主页](http://kedoutd.cn)  [小鸡函数QQ群](https://jq.qq.com/?_wv=1027&k=yVe9BxJi)  [随堂练模板演示](http://iuc.store)  [作者QQ](https://qm.qq.com/cgi-bin/qm/qr?k=V0f6ccBgR1Wok97mWIYHC4dfAMWTqX4K&noverify=0) 
##### &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;这是fusionapp2.0模块里面首次出现的子模块。此子模块旨在为了提高运行效率而制作，当您不需要这个功能的时候可以不启用，有此需求时可根据自身情况启用此模块，此模块需要依赖中文函数小鸡4.0里面现成的依赖包和动画函数来实现以下列表中效果，而不需要重新导入依赖包和重写动画效果函数。您可能会有疑问，这么多效果，在 中文函数🐥 里面有很多与动画相关代码，其实在中文小鸡里面只有23行代码来控制和实现列表中的全部动画效果，这23行代码还包含判断句，功能实现代码只有16行，这16行代码可以完成整个T80系列动画的效果，而且，还支持您的参数自定义。实际上这16行代码就是我原来封装的魔改动画，只有一个旋转动画的依赖，魔改之后可以实现更多丰富的效果，当我们控制好旋转周期（左旋转和右旋转)、持续时长(毫秒)、横纵坐标(XY)这5个参数，接近可以实现所有类型的动画效果，而且您还可以使用task来控制两个或多个动画叠加产生的组合动画效果。繁琐的点主要在于这5个参数如何设置和达到我们预期实现的效果是比较繁琐的，需要耐心尝试和调试。

##   👀 向您推荐火眼的作品
  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;在线模拟考试系统:[PHPEMS7.0](http://www.phpems.net/)
### 
##  💁‍♀️ 函数列表及参数说明：
### 效果调用函数列表：
* T80系列动画_平移(控件ID,效果)
* T80系列动画_摇晃(控件ID,效果)
* T80系列动画_显隐(控件ID,效果)
* T80系列动画_弹出(控件ID,效果)
* T80系列动画_滑翔(控件ID,效果)
* T80系列动画_甩尾(控件ID,效果)
* T80系列动画_旋转(控件ID,效果)
* T80系列动画_漂移(控件ID,效果)
* T80系列动画_弹抖(控件ID,效果)
* T80系列动画_自定义(控件ID,效果)
### 
## 📄 参数说明:
### T80系列动画_平移(控件ID,效果)
```
--id值和效果值都无需引号，效果值：1,2,3,4
--1=从屏幕外左侧平移到原始位置
--2=从屏幕外右侧平移到原始位置
--3=从原始位置向左平移屏幕外
--4=从原始位置向右平移屏幕外
--5=从屏幕外顶部平移到原始位置
--6=从屏幕外底部平移到原始位置
--7=从原始位置向上平移屏幕外
--8=从原始位置向下平移屏幕外
```
### T80系列动画_摇晃(控件ID,效果)
```
--id值和效果值都无需引号，效果值：1,2
--1=左轴来回轻晃
--2=右轴来回轻晃
--3=晃抖
--4=大幅摆动
--5=小幅摆动
--6=上下来回晃
```
### T80系列动画_显隐(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6,7
--1=正面隐藏然后再恢复显示
--2=隐藏1秒后，从上往下浮出
--3=隐藏1秒后，从下往上浮出
--4=显现，从上往下隐藏，再闪现
--5=显现，从下往上隐藏，再闪现
--6=从上往下快速闪现
--7=从下往上快速闪现
```
### T80系列动画_弹出(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6
--1=往上回弹
--2=往下滑弹
--3=从左斜着弹出
--4=从右斜着弹出
--5=从左屏幕外弹出
--6=从右屏幕外弹出
```
### T80系列动画_滑翔(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6
--1=从下往上滑出
--2=从下往上滑出
--3=向左上角滑出
--4=向右上角滑出
--5=从左滑入
--6=从右滑入
```
### T80系列动画_甩尾(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6,7,8,9,10
--1=沿顶点为轴心从右往左甩
--2=沿顶点为轴心从左往右甩
--3=沿左边往右甩
--4=沿左边往左甩
--5=沿左上角往左甩
--6=沿左下角往左甩
--7=沿右边往左甩
--8=沿右边往右甩
--9=沿右上角往下甩
--10=沿右上角边往上甩
```
### T80系列动画_旋转(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6,7,8,9,10
--1=标准左旋转
--2=标准右旋转
--3=慢速左旋转
--4=慢速右旋转
--5=更慢速左旋转
--6=更慢速右旋转
--7=快速左旋转
--8=快速右旋转
--9=高速左旋转
--10=高速右旋转
```
### T80系列动画_漂移(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6,7,8
--1=右下方漂移至原始位置
--2=左下方漂移至原始位置
--3=右上方漂移至原始位置
--4=左上方漂移至原始位置
--5=原始位置向左下方漂移后复位
--6=原始位置向右下方漂移后复位
--7=原始位置向左上方漂移后复位
--8=原始位置向右上方漂移后复位
```
### T80系列动画_弹抖(控件ID,效果)
```
--id值和效果值都无需引号，效果：1,2,3,4,5,6,7,8,9,10
--1=浮动后弹抖
--2=固定的抖动
--3=向左慢慢旋转然后回弹
--4=向右慢慢旋转然后回弹
--5=向左快速旋转然后回弹
--6=向左快速旋转然后回弹
--7=向左高速旋转然后回弹
--8=向左高速旋转然后回弹
```
### T80系列动画_自定义(控件ID,效果)
```
--平移示例：(控件ID,1,0,1000,0,1800)
--摇晃示例：(控件ID,1,0,0,0,400)
--闪烁示例：(控件ID,0.1,0,0,0,1400)
--摇晃示例：(控件ID,0.1,0,0,740,740)
--摇晃示例：(控件ID,1,0,0,0,400)
--摇晃示例：(控件ID,1,0,0,0,400)
--摇晃示例：(控件ID,1,0,0,0,400)
--摇晃示例：(控件ID,1,0,0,0,400)
--T80系列动画_自定义(控件ID,0.8,50,0.5,0.5,500)
```
##  🐥 T80系列动画 帮助文档结束

###  💁‍♀️ FA2手册自带示例框架 分类下的代码作者：
```    
             寒歌，难忘的旋律，dingyi等
                  (排名不分先后)
``` 
###  💁‍♀️ 小鸡模块作者：
#### &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;📯 特别说明：不含官方示例和已标注作者之部分
```
                    G.flower
```
###  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;意见反馈请通过以下方式联系修复
 
```
                微信: KDDS888888
                Q Q: 547430970
```
## 
##  💁‍♀️ 相关交流群推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ ADLua群(小鸡函数)：20078299
```
##   
##   

