##  ‍🐥 新拟物多输入框 模块介绍
&nbsp;&nbsp;&nbsp;&nbsp; [小鸡函数QQ群](https://jq.qq.com/?_wv=1027&k=yVe9BxJi)   [作者QQ](https://qm.qq.com/cgi-bin/qm/qr?k=V0f6ccBgR1Wok97mWIYHC4dfAMWTqX4K&noverify=0) 
##### &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;这是一款多输入框模块，最大支持8框同输，支持单行模式和多行模式，双层套嵌滑动组件，内外元素滑动事件互不冲突，完美兼容横竖屏显示。但仅支持中文函数🐥启用状态下使用，且必须是已注册贵宾用户。小鸡函数将会发布另一个静态加载版本，静态版本默认不执行任何动作，但支持了任意子页面单独启用，从而为您提供更高效的运行性能，除此之外，小鸡贵宾用户将会同时配套授权“安记中文编辑器”，您可以在安记中独立以纯中文编辑、运行、调试代码，安记目前尚未开发完成，这需要一点时间，敬请期待。

##  💁‍♀️ 新拟物多输入框功能介绍：
### 启用本模块：
* 启用_万能拟态多输入框_子模块()
### 功能特色及调用要求：
* 必须安装中文函数小鸡🐥 父级模块依赖
* 功能介绍：
* 单行和多行无缝切换
* 横屏竖屏均适配，双层套嵌滑动组件无冲突
* 支持精简参数，最大支持八框同输，八参同传
* 支持属性名称定义，这是此版本亮点
* 完全自适应布局及按钮，不会受到焦点干扰
* 拟态颜色搭配随心定义
* 所有非必填值允许nil，自动补参
* 允许参数容错，比如模式开关，您可以填错乱填
* 错填漏填参数自动补参
### 
##  💁‍♀️ 新拟物多输入框功能介绍：
### 模块调用：请使用小鸡函数一键写入
```
--==========模块状态判断:头部===========
if 万能拟态多输入框_子模块=='子模块已安装' then
  --子模块已安装
  --[[
说明:
状态判断正常后请删除此判断头部和尾部，仅保留调用区即可
用法和新拟物对话框一样，不同点是这个是多输入框，没有对话框，但您可以切换更多输入框
]]
  --==========模块状态判断:头部===========


  --==========调用代码开始===========
  --启用模块
  启用_万能拟态多输入框_子模块()
  --必填参数：
  local 积极_文字=[[确定]]
  local 消极_文字=[[取消]]
  local 中立_文字=[[中立]]
  local 属性_名称=[[一个萝卜]]
  local 属性_宽度=[[28%w]]
  --ID参数：
  local 窗口_地址='窗口_事件'
  local 输入_地址='输入_事件一'
  local 积极_地址='积极_事件'
  local 消极_地址='消极_事件'
  local 中立_地址='中立_事件'
  local 标题_地址='标题_事件'
  --可选颜色参数：
  local 标题_颜色='#ff444444'
  local 标题_背景='#ffffffff'
  local 消息_颜色='#ff808080'
  local 消息_背景='#ffeeeeee'
  local 按钮_颜色='#ff606060'
  local 按钮_背景='#ffeeeeee'
  --可选字体参数：
  local 标题_字号='15sp'
  local 内容_字号='13sp'
  local 按钮_字号='14sp'

  local 标题_字体='加粗'
  local 内容_字体='默认'
  local 按钮_字体='默认'
  --可选窗口参数：
  local 窗口_阴影='10dp'
  local 窗口_圆角='8dp'
  local 拟态_风格='1'
  local 按钮_圆角='5dp'
  local 控件_分割='0'
  local 按钮_阴影='10dp'
  local 底边_背景='#ffffffff'
  local 控件_分割='2'
  local 输入_框数=3

  local 标题_文字=[[多框输入(鸡血功能_贵宾专享)]]
  local 提示_文字=[[多框输入第一框开启]]

  --多框参数
  local 属性_名称二=[[两颗白菜]]
  local 属性_名称三=[[三个烧饼]]
  local 属性_名称四=[[四只烧鸡]]
  local 属性_名称五=[[五个热狗]]
  local 属性_名称六=[[六桶泡面]]
  local 属性_名称七=[[七个葫芦娃]]
  local 属性_名称八=[[八支口红]]

  local 提示_文字二=[[多框输入第二框开启]]
  local 提示_文字三=[[多框输入第三框开启]]
  local 提示_文字四=[[多框输入第四框开启]]
  local 提示_文字五=[[多框输入第五框开启]]
  local 提示_文字六=[[多框输入第六框开启]]
  local 提示_文字七=[[多框输入第七框开启]]
  local 提示_文字八=[[多框输入第八框开启]]

  --地址的调用和以往一样，
  --例如以下填的地址，我需要设置其文本变化：

  --先填写输入框参数为6，然后在点击事件中输入以下设置：
  --   请定义地址6.setText('妈了个巴子')

  local 输入_地址二='请定义地址2'
  local 输入_地址三='请定义地址3'
  local 输入_地址四='请定义地址4'
  local 输入_地址五='请定义地址5'
  local 输入_地址六='请定义地址6'
  local 输入_地址七='请定义地址7'
  local 输入_地址八='请定义地址8'

  local 单行_模式=nil

  --调用函数
  万能拟态多输入框(
  --必填参数
  标题_文字,积极_文字,
  消极_文字,提示_文字,属性_名称,
  --扩展参数
  窗口_地址,积极_地址,消极_地址,
  中立_地址,标题_地址,输入_地址,
  --可选参数
  标题_颜色,消息_颜色,按钮_颜色,
  标题_背景,消息_背景,按钮_背景,
  窗口_圆角,按钮_圆角,拟态_风格,
  窗口_阴影,按钮_阴影,
  标题_字号,内容_字号,按钮_字号,
  标题_字体,内容_字体,按钮_字体,
  中立_文字,控件_分割,底边_背景,
  单行_模式,输入_框数,属性_宽度,
  属性_名称二,输入_地址二,提示_文字二,
  属性_名称三,输入_地址三,提示_文字三,
  属性_名称四,输入_地址四,提示_文字四,
  属性_名称五,输入_地址五,提示_文字五,
  属性_名称六,输入_地址六,提示_文字六,
  属性_名称七,输入_地址七,提示_文字七,
  属性_名称八,输入_地址八,提示_文字八)
  --点击事件
  function 窗口_事件.onClick()
    关闭新拟物多输入框()--已经支持全窗口点击
    弹出消息('这里是父窗口')
  end
  标题_事件.onClick=function()
    关闭新拟物多输入框()
    弹出消息('这里是标题')
  end

  积极_事件.onClick=function()
    弹出新消息('这是积极按钮')
    输入_事件一.setText('您设置了输入框文本内容')
    请定义地址6.setText('妈了个巴子')
    请定义地址5.setText('妈了个脖子')
    请定义地址4.setText('妈了个腿子')
    请定义地址3.setText('妈了个茄子')
    请定义地址2.setText('妈了个瓜子')

  end
  消极_事件.onClick=function()
    关闭新拟物多输入框()
    弹出新消息('这是消极按钮')
  end
  中立_事件.onClick=function()
    新拟物对话框授权窗口()
  end
  --==========调用代码结束===========



  --==========模块状态判断:尾部===========
 else
  --子模块未安装行
  print('子模块未安装')
end
--==========模块状态判断:尾部===========
```    
##  🐥  新拟物多输入框 帮助文档结束

###  💁‍♀️ FA2手册自带示例框架 分类下的代码作者：
```    
             寒歌，难忘的旋律，dingyi等
                  (排名不分先后)
``` 
###  💁‍♀️ 小鸡模块作者：
#### &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;📯 特别说明：不含官方示例和已标注作者之部分
```
                    G.flower
```
###  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;意见反馈请通过以下方式联系修复
 
```
                微信: KDDS888888
                Q Q: 547430970
```
## 
##  💁‍♀️ 相关交流群推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ ADLua群(小鸡函数)：20078299
```
##   
##   

